// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_mobile

import (
	context "context"
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// MultiOrderServiceClient is the client API for MultiOrderService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type MultiOrderServiceClient interface {
	ListMultiOrderProcess(ctx context.Context, in *order.ListMultiOrderProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListMultiOrderProcessType(ctx context.Context, in *order.ListMultiOrderProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListMultiOrderDeliveryCondition(ctx context.Context, in *order.ListMultiOrderDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListMultiOrderPaymentCondition(ctx context.Context, in *order.ListMultiOrderPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListMultiOrderCategory(ctx context.Context, in *order.ListMultiOrderCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListMultiOrderBrand(ctx context.Context, in *order.ListMultiOrderBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListMultiOrderProduct(ctx context.Context, in *order.ListMultiOrderProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListMultiOrderQuantityType(ctx context.Context, in *order.ListMultiOrderQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListMultiOrderNames(ctx context.Context, in *order.ListMultiOrderNamesRequest, opts ...grpc.CallOption) (*order.ListMultiOrderNamesResponse, error)
	GetMultiOrder(ctx context.Context, in *order.GetMultiOrderRequest, opts ...grpc.CallOption) (*order.GetMultiOrderResponse, error)
	ListMultiOrder(ctx context.Context, in *order.ListMultiOrderRequest, opts ...grpc.CallOption) (*order.ListMultiOrderResponse, error)
	SaveMultiOrder(ctx context.Context, in *SaveMultiOrderRequest, opts ...grpc.CallOption) (*SaveMultiOrderResponse, error)
	DoneMultiOrder(ctx context.Context, in *DoneMultiOrderRequest, opts ...grpc.CallOption) (*DoneMultiOrderResponse, error)
	RejectMultiOrder(ctx context.Context, in *RejectMultiOrderRequest, opts ...grpc.CallOption) (*RejectMultiOrderResponse, error)
	// list supplier by multi order id
	ListSupplierInfo(ctx context.Context, in *order.ListSupplierInfoRequest, opts ...grpc.CallOption) (*order.ListSupplierInfoResponse, error)
}

type multiOrderServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewMultiOrderServiceClient(cc grpc.ClientConnInterface) MultiOrderServiceClient {
	return &multiOrderServiceClient{cc}
}

func (c *multiOrderServiceClient) ListMultiOrderProcess(ctx context.Context, in *order.ListMultiOrderProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderProcess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) ListMultiOrderProcessType(ctx context.Context, in *order.ListMultiOrderProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderProcessType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) ListMultiOrderDeliveryCondition(ctx context.Context, in *order.ListMultiOrderDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderDeliveryCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) ListMultiOrderPaymentCondition(ctx context.Context, in *order.ListMultiOrderPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderPaymentCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) ListMultiOrderCategory(ctx context.Context, in *order.ListMultiOrderCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) ListMultiOrderBrand(ctx context.Context, in *order.ListMultiOrderBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderBrand", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) ListMultiOrderProduct(ctx context.Context, in *order.ListMultiOrderProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderProduct", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) ListMultiOrderQuantityType(ctx context.Context, in *order.ListMultiOrderQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderQuantityType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) ListMultiOrderNames(ctx context.Context, in *order.ListMultiOrderNamesRequest, opts ...grpc.CallOption) (*order.ListMultiOrderNamesResponse, error) {
	out := new(order.ListMultiOrderNamesResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderNames", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) GetMultiOrder(ctx context.Context, in *order.GetMultiOrderRequest, opts ...grpc.CallOption) (*order.GetMultiOrderResponse, error) {
	out := new(order.GetMultiOrderResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/GetMultiOrder", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) ListMultiOrder(ctx context.Context, in *order.ListMultiOrderRequest, opts ...grpc.CallOption) (*order.ListMultiOrderResponse, error) {
	out := new(order.ListMultiOrderResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrder", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) SaveMultiOrder(ctx context.Context, in *SaveMultiOrderRequest, opts ...grpc.CallOption) (*SaveMultiOrderResponse, error) {
	out := new(SaveMultiOrderResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/SaveMultiOrder", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) DoneMultiOrder(ctx context.Context, in *DoneMultiOrderRequest, opts ...grpc.CallOption) (*DoneMultiOrderResponse, error) {
	out := new(DoneMultiOrderResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/DoneMultiOrder", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) RejectMultiOrder(ctx context.Context, in *RejectMultiOrderRequest, opts ...grpc.CallOption) (*RejectMultiOrderResponse, error) {
	out := new(RejectMultiOrderResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/RejectMultiOrder", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *multiOrderServiceClient) ListSupplierInfo(ctx context.Context, in *order.ListSupplierInfoRequest, opts ...grpc.CallOption) (*order.ListSupplierInfoResponse, error) {
	out := new(order.ListSupplierInfoResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.MultiOrderService/ListSupplierInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MultiOrderServiceServer is the server API for MultiOrderService service.
// All implementations must embed UnimplementedMultiOrderServiceServer
// for forward compatibility
type MultiOrderServiceServer interface {
	ListMultiOrderProcess(context.Context, *order.ListMultiOrderProcessRequest) (*order.DictResponse, error)
	ListMultiOrderProcessType(context.Context, *order.ListMultiOrderProcessTypeRequest) (*order.DictResponse, error)
	ListMultiOrderDeliveryCondition(context.Context, *order.ListMultiOrderDeliveryConditionRequest) (*order.DictResponse, error)
	ListMultiOrderPaymentCondition(context.Context, *order.ListMultiOrderPaymentConditionRequest) (*order.DictResponse, error)
	ListMultiOrderCategory(context.Context, *order.ListMultiOrderCategoryRequest) (*order.DictResponse, error)
	ListMultiOrderBrand(context.Context, *order.ListMultiOrderBrandRequest) (*order.DictResponse, error)
	ListMultiOrderProduct(context.Context, *order.ListMultiOrderProductRequest) (*order.DictResponse, error)
	ListMultiOrderQuantityType(context.Context, *order.ListMultiOrderQuantityTypeRequest) (*order.DictResponse, error)
	ListMultiOrderNames(context.Context, *order.ListMultiOrderNamesRequest) (*order.ListMultiOrderNamesResponse, error)
	GetMultiOrder(context.Context, *order.GetMultiOrderRequest) (*order.GetMultiOrderResponse, error)
	ListMultiOrder(context.Context, *order.ListMultiOrderRequest) (*order.ListMultiOrderResponse, error)
	SaveMultiOrder(context.Context, *SaveMultiOrderRequest) (*SaveMultiOrderResponse, error)
	DoneMultiOrder(context.Context, *DoneMultiOrderRequest) (*DoneMultiOrderResponse, error)
	RejectMultiOrder(context.Context, *RejectMultiOrderRequest) (*RejectMultiOrderResponse, error)
	// list supplier by multi order id
	ListSupplierInfo(context.Context, *order.ListSupplierInfoRequest) (*order.ListSupplierInfoResponse, error)
	mustEmbedUnimplementedMultiOrderServiceServer()
}

// UnimplementedMultiOrderServiceServer must be embedded to have forward compatible implementations.
type UnimplementedMultiOrderServiceServer struct {
}

func (UnimplementedMultiOrderServiceServer) ListMultiOrderProcess(context.Context, *order.ListMultiOrderProcessRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMultiOrderProcess not implemented")
}
func (UnimplementedMultiOrderServiceServer) ListMultiOrderProcessType(context.Context, *order.ListMultiOrderProcessTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMultiOrderProcessType not implemented")
}
func (UnimplementedMultiOrderServiceServer) ListMultiOrderDeliveryCondition(context.Context, *order.ListMultiOrderDeliveryConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMultiOrderDeliveryCondition not implemented")
}
func (UnimplementedMultiOrderServiceServer) ListMultiOrderPaymentCondition(context.Context, *order.ListMultiOrderPaymentConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMultiOrderPaymentCondition not implemented")
}
func (UnimplementedMultiOrderServiceServer) ListMultiOrderCategory(context.Context, *order.ListMultiOrderCategoryRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMultiOrderCategory not implemented")
}
func (UnimplementedMultiOrderServiceServer) ListMultiOrderBrand(context.Context, *order.ListMultiOrderBrandRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMultiOrderBrand not implemented")
}
func (UnimplementedMultiOrderServiceServer) ListMultiOrderProduct(context.Context, *order.ListMultiOrderProductRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMultiOrderProduct not implemented")
}
func (UnimplementedMultiOrderServiceServer) ListMultiOrderQuantityType(context.Context, *order.ListMultiOrderQuantityTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMultiOrderQuantityType not implemented")
}
func (UnimplementedMultiOrderServiceServer) ListMultiOrderNames(context.Context, *order.ListMultiOrderNamesRequest) (*order.ListMultiOrderNamesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMultiOrderNames not implemented")
}
func (UnimplementedMultiOrderServiceServer) GetMultiOrder(context.Context, *order.GetMultiOrderRequest) (*order.GetMultiOrderResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetMultiOrder not implemented")
}
func (UnimplementedMultiOrderServiceServer) ListMultiOrder(context.Context, *order.ListMultiOrderRequest) (*order.ListMultiOrderResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMultiOrder not implemented")
}
func (UnimplementedMultiOrderServiceServer) SaveMultiOrder(context.Context, *SaveMultiOrderRequest) (*SaveMultiOrderResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveMultiOrder not implemented")
}
func (UnimplementedMultiOrderServiceServer) DoneMultiOrder(context.Context, *DoneMultiOrderRequest) (*DoneMultiOrderResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DoneMultiOrder not implemented")
}
func (UnimplementedMultiOrderServiceServer) RejectMultiOrder(context.Context, *RejectMultiOrderRequest) (*RejectMultiOrderResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RejectMultiOrder not implemented")
}
func (UnimplementedMultiOrderServiceServer) ListSupplierInfo(context.Context, *order.ListSupplierInfoRequest) (*order.ListSupplierInfoResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListSupplierInfo not implemented")
}
func (UnimplementedMultiOrderServiceServer) mustEmbedUnimplementedMultiOrderServiceServer() {}

// UnsafeMultiOrderServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to MultiOrderServiceServer will
// result in compilation errors.
type UnsafeMultiOrderServiceServer interface {
	mustEmbedUnimplementedMultiOrderServiceServer()
}

func RegisterMultiOrderServiceServer(s grpc.ServiceRegistrar, srv MultiOrderServiceServer) {
	s.RegisterService(&MultiOrderService_ServiceDesc, srv)
}

func _MultiOrderService_ListMultiOrderProcess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListMultiOrderProcessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListMultiOrderProcess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderProcess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListMultiOrderProcess(ctx, req.(*order.ListMultiOrderProcessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_ListMultiOrderProcessType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListMultiOrderProcessTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListMultiOrderProcessType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderProcessType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListMultiOrderProcessType(ctx, req.(*order.ListMultiOrderProcessTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_ListMultiOrderDeliveryCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListMultiOrderDeliveryConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListMultiOrderDeliveryCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderDeliveryCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListMultiOrderDeliveryCondition(ctx, req.(*order.ListMultiOrderDeliveryConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_ListMultiOrderPaymentCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListMultiOrderPaymentConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListMultiOrderPaymentCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderPaymentCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListMultiOrderPaymentCondition(ctx, req.(*order.ListMultiOrderPaymentConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_ListMultiOrderCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListMultiOrderCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListMultiOrderCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListMultiOrderCategory(ctx, req.(*order.ListMultiOrderCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_ListMultiOrderBrand_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListMultiOrderBrandRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListMultiOrderBrand(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderBrand",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListMultiOrderBrand(ctx, req.(*order.ListMultiOrderBrandRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_ListMultiOrderProduct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListMultiOrderProductRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListMultiOrderProduct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderProduct",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListMultiOrderProduct(ctx, req.(*order.ListMultiOrderProductRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_ListMultiOrderQuantityType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListMultiOrderQuantityTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListMultiOrderQuantityType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderQuantityType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListMultiOrderQuantityType(ctx, req.(*order.ListMultiOrderQuantityTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_ListMultiOrderNames_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListMultiOrderNamesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListMultiOrderNames(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrderNames",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListMultiOrderNames(ctx, req.(*order.ListMultiOrderNamesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_GetMultiOrder_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetMultiOrderRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).GetMultiOrder(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/GetMultiOrder",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).GetMultiOrder(ctx, req.(*order.GetMultiOrderRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_ListMultiOrder_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListMultiOrderRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListMultiOrder(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListMultiOrder",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListMultiOrder(ctx, req.(*order.ListMultiOrderRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_SaveMultiOrder_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SaveMultiOrderRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).SaveMultiOrder(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/SaveMultiOrder",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).SaveMultiOrder(ctx, req.(*SaveMultiOrderRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_DoneMultiOrder_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DoneMultiOrderRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).DoneMultiOrder(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/DoneMultiOrder",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).DoneMultiOrder(ctx, req.(*DoneMultiOrderRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_RejectMultiOrder_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RejectMultiOrderRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).RejectMultiOrder(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/RejectMultiOrder",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).RejectMultiOrder(ctx, req.(*RejectMultiOrderRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MultiOrderService_ListSupplierInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListSupplierInfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MultiOrderServiceServer).ListSupplierInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.MultiOrderService/ListSupplierInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MultiOrderServiceServer).ListSupplierInfo(ctx, req.(*order.ListSupplierInfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// MultiOrderService_ServiceDesc is the grpc.ServiceDesc for MultiOrderService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var MultiOrderService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_mobile.MultiOrderService",
	HandlerType: (*MultiOrderServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ListMultiOrderProcess",
			Handler:    _MultiOrderService_ListMultiOrderProcess_Handler,
		},
		{
			MethodName: "ListMultiOrderProcessType",
			Handler:    _MultiOrderService_ListMultiOrderProcessType_Handler,
		},
		{
			MethodName: "ListMultiOrderDeliveryCondition",
			Handler:    _MultiOrderService_ListMultiOrderDeliveryCondition_Handler,
		},
		{
			MethodName: "ListMultiOrderPaymentCondition",
			Handler:    _MultiOrderService_ListMultiOrderPaymentCondition_Handler,
		},
		{
			MethodName: "ListMultiOrderCategory",
			Handler:    _MultiOrderService_ListMultiOrderCategory_Handler,
		},
		{
			MethodName: "ListMultiOrderBrand",
			Handler:    _MultiOrderService_ListMultiOrderBrand_Handler,
		},
		{
			MethodName: "ListMultiOrderProduct",
			Handler:    _MultiOrderService_ListMultiOrderProduct_Handler,
		},
		{
			MethodName: "ListMultiOrderQuantityType",
			Handler:    _MultiOrderService_ListMultiOrderQuantityType_Handler,
		},
		{
			MethodName: "ListMultiOrderNames",
			Handler:    _MultiOrderService_ListMultiOrderNames_Handler,
		},
		{
			MethodName: "GetMultiOrder",
			Handler:    _MultiOrderService_GetMultiOrder_Handler,
		},
		{
			MethodName: "ListMultiOrder",
			Handler:    _MultiOrderService_ListMultiOrder_Handler,
		},
		{
			MethodName: "SaveMultiOrder",
			Handler:    _MultiOrderService_SaveMultiOrder_Handler,
		},
		{
			MethodName: "DoneMultiOrder",
			Handler:    _MultiOrderService_DoneMultiOrder_Handler,
		},
		{
			MethodName: "RejectMultiOrder",
			Handler:    _MultiOrderService_RejectMultiOrder_Handler,
		},
		{
			MethodName: "ListSupplierInfo",
			Handler:    _MultiOrderService_ListSupplierInfo_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/order_mobile/multi_order_mobile.proto",
}
